Skip to content
v2.276.0

CfnRepositoryCreationTemplate L1 construct ​

The details of the repository creation template associated with the request.

Example ​

ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_ecr as ecr } from 'aws-cdk-lib';
const cfnRepositoryCreationTemplate = new ecr.CfnRepositoryCreationTemplate(this, 'MyCfnRepositoryCreationTemplate', {
  appliedFor: ['appliedFor'],
  prefix: 'prefix',

  // the properties below are optional
  customRoleArn: 'customRoleArn',
  description: 'description',
  encryptionConfiguration: {
    encryptionType: 'encryptionType',

    // the properties below are optional
    kmsKey: 'kmsKey',
  },
  imageTagMutability: 'imageTagMutability',
  imageTagMutabilityExclusionFilters: [{
    imageTagMutabilityExclusionFilterType: 'imageTagMutabilityExclusionFilterType',
    imageTagMutabilityExclusionFilterValue: 'imageTagMutabilityExclusionFilterValue',
  }],
  lifecyclePolicy: 'lifecyclePolicy',
  repositoryPolicy: 'repositoryPolicy',
  resourceTags: [{
    key: 'key',
    value: 'value',
  }],
});
python
from aws_cdk import CfnTag
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_ecr as ecr

cfn_repository_creation_template = ecr.CfnRepositoryCreationTemplate(self, "MyCfnRepositoryCreationTemplate",
    applied_for=["appliedFor"],
    prefix="prefix",

    # the properties below are optional
    custom_role_arn="customRoleArn",
    description="description",
    encryption_configuration=ecr.CfnRepositoryCreationTemplate.EncryptionConfigurationProperty(
        encryption_type="encryptionType",

        # the properties below are optional
        kms_key="kmsKey"
    ),
    image_tag_mutability="imageTagMutability",
    image_tag_mutability_exclusion_filters=[ecr.CfnRepositoryCreationTemplate.ImageTagMutabilityExclusionFilterProperty(
        image_tag_mutability_exclusion_filter_type="imageTagMutabilityExclusionFilterType",
        image_tag_mutability_exclusion_filter_value="imageTagMutabilityExclusionFilterValue"
    )],
    lifecycle_policy="lifecyclePolicy",
    repository_policy="repositoryPolicy",
    resource_tags=[CfnTag(
        key="key",
        value="value"
    )]
)
java
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import software.amazon.awscdk.services.ecr.*;

CfnRepositoryCreationTemplate cfnRepositoryCreationTemplate = CfnRepositoryCreationTemplate.Builder.create(this, "MyCfnRepositoryCreationTemplate")
        .appliedFor(List.of("appliedFor"))
        .prefix("prefix")

        // the properties below are optional
        .customRoleArn("customRoleArn")
        .description("description")
        .encryptionConfiguration(EncryptionConfigurationProperty.builder()
                .encryptionType("encryptionType")

                // the properties below are optional
                .kmsKey("kmsKey")
                .build())
        .imageTagMutability("imageTagMutability")
        .imageTagMutabilityExclusionFilters(List.of(ImageTagMutabilityExclusionFilterProperty.builder()
                .imageTagMutabilityExclusionFilterType("imageTagMutabilityExclusionFilterType")
                .imageTagMutabilityExclusionFilterValue("imageTagMutabilityExclusionFilterValue")
                .build()))
        .lifecyclePolicy("lifecyclePolicy")
        .repositoryPolicy("repositoryPolicy")
        .resourceTags(List.of(CfnTag.builder()
                .key("key")
                .value("value")
                .build()))
        .build();
csharp
// Install: dotnet add package Amazon.CDK.Lib
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
using Amazon.CDK.AWS.ECR;

var cfnRepositoryCreationTemplate = new CfnRepositoryCreationTemplate(this, "MyCfnRepositoryCreationTemplate", new CfnRepositoryCreationTemplateProps {
    AppliedFor = new [] { "appliedFor" },
    Prefix = "prefix",

    // the properties below are optional
    CustomRoleArn = "customRoleArn",
    Description = "description",
    EncryptionConfiguration = new EncryptionConfigurationProperty {
        EncryptionType = "encryptionType",

        // the properties below are optional
        KmsKey = "kmsKey"
    },
    ImageTagMutability = "imageTagMutability",
    ImageTagMutabilityExclusionFilters = new [] { new ImageTagMutabilityExclusionFilterProperty {
        ImageTagMutabilityExclusionFilterType = "imageTagMutabilityExclusionFilterType",
        ImageTagMutabilityExclusionFilterValue = "imageTagMutabilityExclusionFilterValue"
    } },
    LifecyclePolicy = "lifecyclePolicy",
    RepositoryPolicy = "repositoryPolicy",
    ResourceTags = new [] { new CfnTag {
        Key = "key",
        Value = "value"
    } }
});
go
// Install: go get github.com/aws/aws-cdk-go/awscdk/v2
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import "github.com/aws/aws-cdk-go/awscdk"

cfnRepositoryCreationTemplate := awscdk.Aws_ecr.NewCfnRepositoryCreationTemplate(this, jsii.String("MyCfnRepositoryCreationTemplate"), &CfnRepositoryCreationTemplateProps{
	AppliedFor: []*string{
		jsii.String("appliedFor"),
	},
	Prefix: jsii.String("prefix"),

	// the properties below are optional
	CustomRoleArn: jsii.String("customRoleArn"),
	Description: jsii.String("description"),
	EncryptionConfiguration: &EncryptionConfigurationProperty{
		EncryptionType: jsii.String("encryptionType"),

		// the properties below are optional
		KmsKey: jsii.String("kmsKey"),
	},
	ImageTagMutability: jsii.String("imageTagMutability"),
	ImageTagMutabilityExclusionFilters: []interface{}{
		&ImageTagMutabilityExclusionFilterProperty{
			ImageTagMutabilityExclusionFilterType: jsii.String("imageTagMutabilityExclusionFilterType"),
			ImageTagMutabilityExclusionFilterValue: jsii.String("imageTagMutabilityExclusionFilterValue"),
		},
	},
	LifecyclePolicy: jsii.String("lifecyclePolicy"),
	RepositoryPolicy: jsii.String("repositoryPolicy"),
	ResourceTags: []interface{}{
		&CfnTag{
			Key: jsii.String("key"),
			Value: jsii.String("value"),
		},
	},
})

Initializer ​

ts
new CfnRepositoryCreationTemplate(scope: Construct, id: string, props: CfnRepositoryCreationTemplateProps)
python
CfnRepositoryCreationTemplate(scope: Construct, id: str, props: CfnRepositoryCreationTemplateProps)
java
new CfnRepositoryCreationTemplate(Construct scope, String id, CfnRepositoryCreationTemplateProps props)
csharp
new CfnRepositoryCreationTemplate(Construct scope, string id, CfnRepositoryCreationTemplateProps props)
go
NewCfnRepositoryCreationTemplate(Scope Construct, Id *string, Props CfnRepositoryCreationTemplateProps)

Construct Props ​

appliedForstring[]applied_fortyping.List[str]appliedForList<String>AppliedForstring[]AppliedFor*[]*stringrequired#
A list of enumerable Strings representing the repository creation scenarios that this template will apply towards.

The supported scenarios are PULL_THROUGH_CACHE, REPLICATION, and CREATE_ON_PUSH

customRoleArnoptionalstringcustom_role_arnoptionalstrcustomRoleArnoptionalStringCustomRoleArnoptionalstringCustomRoleArnoptional*string#
The ARN of the role to be assumed by Amazon ECR.

Amazon ECR will assume your supplied role when the customRoleArn is specified. When this field isn't specified, Amazon ECR will use the service-linked role for the repository creation template.

descriptionoptionalstringdescriptionoptionalstrdescriptionoptionalStringDescriptionoptionalstringDescriptionoptional*string#
The description associated with the repository creation template.
encryptionConfigurationoptionalIResolvable | CfnRepositoryCreationTemplate.EncryptionConfigurationPropertyencryption_configurationoptionaltyping.Union[IResolvable, EncryptionConfigurationProperty]encryptionConfigurationoptionalIResolvableEncryptionConfigurationoptionalIResolvableEncryptionConfigurationoptionalinterface{}#
The encryption configuration associated with the repository creation template.
imageTagMutabilityoptionalstringimage_tag_mutabilityoptionalstrimageTagMutabilityoptionalStringImageTagMutabilityoptionalstringImageTagMutabilityoptional*string#
The tag mutability setting for the repository.
notes

If this parameter is omitted, the default setting of MUTABLE will be used which will allow image tags to be overwritten. If IMMUTABLE is specified, all image tags within the repository will be immutable which will prevent them from being overwritten.

imageTagMutabilityExclusionFiltersoptionalIResolvable | IResolvable | CfnRepositoryCreationTemplate.ImageTagMutabilityExclusionFilterProperty[]image_tag_mutability_exclusion_filtersoptionaltyping.Union[IResolvable, typing.List[typing.Union[IResolvable, ImageTagMutabilityExclusionFilterProperty]]]imageTagMutabilityExclusionFiltersoptionalIResolvableImageTagMutabilityExclusionFiltersoptionalIResolvableImageTagMutabilityExclusionFiltersoptionalinterface{}#
A list of filters that specify which image tags are excluded from the repository creation template's image tag mutability setting.
lifecyclePolicyoptionalstringlifecycle_policyoptionalstrlifecyclePolicyoptionalStringLifecyclePolicyoptionalstringLifecyclePolicyoptional*string#
The lifecycle policy to use for repositories created using the template.
prefixstringprefixstrprefixStringPrefixstringPrefix*stringrequired#
The repository namespace prefix associated with the repository creation template.
repositoryPolicyoptionalstringrepository_policyoptionalstrrepositoryPolicyoptionalStringRepositoryPolicyoptionalstringRepositoryPolicyoptional*string#
The repository policy to apply to repositories created using the template.

A repository policy is a permissions policy associated with a repository to control access permissions.

resourceTagsoptionalIResolvable | IResolvable | CfnTag[]resource_tagsoptionaltyping.Union[IResolvable, typing.List[typing.Union[IResolvable, CfnTag]]]resourceTagsoptionalIResolvableResourceTagsoptionalIResolvableResourceTagsoptionalinterface{}#
The metadata to apply to the repository to help you categorize and organize.

Each tag consists of a key and an optional value, both of which you define. Tag keys can have a maximum character length of 128 characters, and tag values can have a maximum length of 256 characters.

Properties ​

appliedForstring[]applied_fortyping.List[str]appliedForList<String>AppliedForstring[]AppliedFor*[]*string#
A list of enumerable Strings representing the repository creation scenarios that this template will apply towards.
attrCreatedAtstringattr_created_atstrattrCreatedAtStringAttrCreatedAtstringAttrCreatedAt*string#
The date and time, in JavaScript date format, when the repository creation template was created.
attrUpdatedAtstringattr_updated_atstrattrUpdatedAtStringAttrUpdatedAtstringAttrUpdatedAt*string#
The date and time, in JavaScript date format, when the repository creation template was last updated.
CFN_RESOURCE_TYPE_NAMEstringcfn_resource_type_namestrCFN_RESOURCE_TYPE_NAMEStringCFN_RESOURCE_TYPE_NAMEstringCFN_RESOURCE_TYPE_NAME*stringstatic#
The CloudFormation resource type name for this resource class.
Options for this resource, such as condition, update policy etc.
cfnResourceTypestringcfn_resource_typestrcfnResourceTypeStringCfnResourceTypestringCfnResourceType*string#
AWS resource type.
creationStackstring[]creation_stacktyping.List[str]creationStackList<String>CreationStackstring[]CreationStack*[]*string#
customRoleArnmay be undefinedstringcustom_role_arnmay be undefinedstrcustomRoleArnmay be undefinedStringCustomRoleArnmay be undefinedstringCustomRoleArnmay be undefined*string#
The ARN of the role to be assumed by Amazon ECR.
descriptionmay be undefinedstringdescriptionmay be undefinedstrdescriptionmay be undefinedStringDescriptionmay be undefinedstringDescriptionmay be undefined*string#
The description associated with the repository creation template.
encryptionConfigurationmay be undefinedIResolvable | CfnRepositoryCreationTemplate.EncryptionConfigurationPropertyencryption_configurationmay be undefinedtyping.Union[IResolvable, EncryptionConfigurationProperty]encryptionConfigurationmay be undefinedIResolvableEncryptionConfigurationmay be undefinedIResolvableEncryptionConfigurationmay be undefinedinterface{}#
The encryption configuration associated with the repository creation template.
imageTagMutabilitymay be undefinedstringimage_tag_mutabilitymay be undefinedstrimageTagMutabilitymay be undefinedStringImageTagMutabilitymay be undefinedstringImageTagMutabilitymay be undefined*string#
The tag mutability setting for the repository.
imageTagMutabilityExclusionFiltersmay be undefinedIResolvable | IResolvable | CfnRepositoryCreationTemplate.ImageTagMutabilityExclusionFilterProperty[]image_tag_mutability_exclusion_filtersmay be undefinedtyping.Union[IResolvable, typing.List[typing.Union[IResolvable, ImageTagMutabilityExclusionFilterProperty]]]imageTagMutabilityExclusionFiltersmay be undefinedIResolvableImageTagMutabilityExclusionFiltersmay be undefinedIResolvableImageTagMutabilityExclusionFiltersmay be undefinedinterface{}#
A list of filters that specify which image tags are excluded from the repository creation template's image tag mutability setting.
lifecyclePolicymay be undefinedstringlifecycle_policymay be undefinedstrlifecyclePolicymay be undefinedStringLifecyclePolicymay be undefinedstringLifecyclePolicymay be undefined*string#
The lifecycle policy to use for repositories created using the template.
logicalIdstringlogical_idstrlogicalIdStringLogicalIdstringLogicalId*string#
The logical ID for this CloudFormation stack element.

The logical ID of the element is calculated from the path of the resource node in the construct tree.

To override this value, use overrideLogicalId(newLogicalId).

nodeNodenodeNodenodeNodeNodeNodeNodeNode#
The tree node.
prefixstringprefixstrprefixStringPrefixstringPrefix*string#
The repository namespace prefix associated with the repository creation template.
refstringrefstrrefStringRefstringRef*string#
Return a string that will be resolved to a CloudFormation `{ Ref }` for this element.

If, by any chance, the intrinsic reference of a resource is not a string, you could coerce it to an IResolvable through Lazy.any({ produce: resource.ref }).

repositoryCreationTemplateRefRepositoryCreationTemplateReferencerepository_creation_template_refRepositoryCreationTemplateReferencerepositoryCreationTemplateRefRepositoryCreationTemplateReferenceRepositoryCreationTemplateRefRepositoryCreationTemplateReferenceRepositoryCreationTemplateRefRepositoryCreationTemplateReference#
A reference to a RepositoryCreationTemplate resource.
repositoryPolicymay be undefinedstringrepository_policymay be undefinedstrrepositoryPolicymay be undefinedStringRepositoryPolicymay be undefinedstringRepositoryPolicymay be undefined*string#
The repository policy to apply to repositories created using the template.
resourceTagsmay be undefinedIResolvable | IResolvable | CfnTag[]resource_tagsmay be undefinedtyping.Union[IResolvable, typing.List[typing.Union[IResolvable, CfnTag]]]resourceTagsmay be undefinedIResolvableResourceTagsmay be undefinedIResolvableResourceTagsmay be undefinedinterface{}#
The metadata to apply to the repository to help you categorize and organize.
stackStackstackStackstackStackStackStackStackStack#
The stack in which this element is defined.

CfnElements must be defined within a stack scope (directly or indirectly).

Methods ​

addDeletionOverride(path: string): voiddef add_deletion_override(self, path: str) -> Nonepublic void addDeletionOverride(String path)public void AddDeletionOverride(string path)func AddDeletionOverride(Path *string)#
Syntactic sugar for `addOverride(path, undefined)`.
1 parameter

Parameters

  • pathpathpathpathPath — The path of the value to delete.
addDependency(target: CfnResource): voiddef add_dependency(self, target: CfnResource) -> Nonepublic void addDependency(CfnResource target)public void AddDependency(CfnResource target)func AddDependency(Target CfnResource)deprecated#
Use `addResourceDependency` instead.

This method has been renamed to addResourceDependency to more clearly set it apart from construct.node.addDependency. See the documentation of that function for more details.

addDependsOn(target: CfnResource): voiddef add_depends_on(self, target: CfnResource) -> Nonepublic void addDependsOn(CfnResource target)public void AddDependsOn(CfnResource target)func AddDependsOn(Target CfnResource)deprecated#
Use `addResourceDependency` instead.
notes

This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.

This method has been renamed to addResourceDependency, which makes it more clear that this method operates at a different level from the construct-level construct.node.addDependency() mechanism.

addMetadata(key: string, value: any): voiddef add_metadata(self, key: str, value: Any) -> Nonepublic void addMetadata(String key, Object value)public void AddMetadata(string key, object value)func AddMetadata(Key *string, Value interface{})#
Add a value to the CloudFormation Resource Metadata.
addOverride(path: string, value: any): voiddef add_override(self, path: str, value: Any) -> Nonepublic void addOverride(String path, Object value)public void AddOverride(string path, object value)func AddOverride(Path *string, Value interface{})#
Adds an override to the synthesized CloudFormation resource.
notes · 2 parameters

To add a property override, either use addPropertyOverride or prefix path with "Properties." (i.e. Properties.TopicName).

If the override is nested, separate each nested level using a dot (.) in the path parameter. If there is an array as part of the nesting, specify the index in the path.

To include a literal . in the property name, prefix with a \. In most programming languages you will need to write this as "\\." because the \ itself will need to be escaped.

For example,

typescript
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.0.Projection.NonKeyAttributes', ['myattribute']);
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.1.ProjectionType', 'INCLUDE');

would add the overrides

json
"Properties": {
  "GlobalSecondaryIndexes": [
    {
      "Projection": {
        "NonKeyAttributes": [ "myattribute" ]
        ...
      }
      ...
    },
    {
      "ProjectionType": "INCLUDE"
      ...
    },
  ]
  ...
}

The value argument to addOverride will not be processed or translated in any way. Pass raw JSON values in here with the correct capitalization for CloudFormation. If you pass CDK classes or structs, they will be rendered with lowercased key names, and CloudFormation will reject the template.

Parameters

  • pathpathpathpathPath — - The path of the property, you can use dot notation to override values in complex types.
  • valuevaluevaluevalueValue — - The value.
addPropertyDeletionOverride(propertyPath: string): voiddef add_property_deletion_override(self, property_path: str) -> Nonepublic void addPropertyDeletionOverride(String propertyPath)public void AddPropertyDeletionOverride(string propertyPath)func AddPropertyDeletionOverride(PropertyPath *string)#
Adds an override that deletes the value of a property from the resource definition.
1 parameter

Parameters

  • propertyPathproperty_pathpropertyPathpropertyPathPropertyPath — The path to the property.
addPropertyOverride(propertyPath: string, value: any): voiddef add_property_override(self, property_path: str, value: Any) -> Nonepublic void addPropertyOverride(String propertyPath, Object value)public void AddPropertyOverride(string propertyPath, object value)func AddPropertyOverride(PropertyPath *string, Value interface{})#
Adds an override to a resource property.

Syntactic sugar for addOverride("Properties.<...>", value).

2 parameters

Parameters

  • propertyPathproperty_pathpropertyPathpropertyPathPropertyPath — The path of the property.
  • valuevaluevaluevalueValue — The value.
addResourceDependency(target: CfnResource, reason?: string): voiddef add_resource_dependency(self, target: CfnResource, reason: typing.Optional[str] = None) -> Nonepublic void addResourceDependency(CfnResource target, String reason)public void AddResourceDependency(CfnResource target, string? reason = null)func AddResourceDependency(Target CfnResource, Reason *string)#
Indicates that this resource depends on another resource and cannot be provisioned unless the other resource has been successfully provisioned.
notes

This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.

This method only adds dependencies between L1 resources. If you are looking for a generic construct-to-construct dependency mechanism that works for all constructs including L2s, use construct.node.addDependency instead.

applyCrossStackReferenceStrength(strength: ReferenceStrength): voiddef apply_cross_stack_reference_strength(self, strength: ReferenceStrength) -> Nonepublic void applyCrossStackReferenceStrength(ReferenceStrength strength)public void ApplyCrossStackReferenceStrength(ReferenceStrength strength)func ApplyCrossStackReferenceStrength(Strength ReferenceStrength)#
Sets the cross-stack reference strength for this resource.

When set, any cross-stack reference to this resource will use the specified strength instead of the global default from the consuming stack's context.

1 parameter

Parameters

  • strengthstrengthstrengthstrengthStrength — - The reference strength to use for this resource.
applyRemovalPolicy(policy?: RemovalPolicy, options?: RemovalPolicyOptions): voiddef apply_removal_policy(self, policy: typing.Optional[RemovalPolicy] = None, options: typing.Optional[RemovalPolicyOptions] = None) -> Nonepublic void applyRemovalPolicy(RemovalPolicy policy, RemovalPolicyOptions options)public void ApplyRemovalPolicy(RemovalPolicy? policy = null, RemovalPolicyOptions? options = null)func ApplyRemovalPolicy(Policy RemovalPolicy, Options RemovalPolicyOptions)#
Sets the deletion policy of the resource based on the removal policy specified.
notes

The Removal Policy controls what happens to this resource when it stops being managed by CloudFormation, either because you've removed it from the CDK application or because you've made a change that requires the resource to be replaced.

The resource can be deleted (RemovalPolicy.DESTROY), or left in your AWS account for data recovery and cleanup later (RemovalPolicy.RETAIN). In some cases, a snapshot can be taken of the resource prior to deletion (RemovalPolicy.SNAPSHOT). A list of resources that support this policy can be found in the following link:

cfnPropertyName(cdkPropertyName: string): stringdef cfn_property_name(self, cdk_property_name: str) -> strpublic String cfnPropertyName(String cdkPropertyName)public string CfnPropertyName(string cdkPropertyName)func CfnPropertyName(CdkPropertyName *string) *string#
getAtt(attributeName: string, typeHint?: ResolutionTypeHint): Referencedef get_att(self, attribute_name: str, type_hint: typing.Optional[ResolutionTypeHint] = None) -> Referencepublic Reference getAtt(String attributeName, ResolutionTypeHint typeHint)public Reference GetAtt(string attributeName, ResolutionTypeHint? typeHint = null)func GetAtt(AttributeName *string, TypeHint ResolutionTypeHint) Reference#
Returns a token for an runtime attribute of this resource.

Ideally, use generated attribute accessors (e.g. resource.arn), but this can be used for future compatibility in case there is no generated attribute.

1 parameter

Parameters

  • attributeNameattribute_nameattributeNameattributeNameAttributeName — The name of the attribute.
getMetadata(key: string): anydef get_metadata(self, key: str) -> Anypublic Object getMetadata(String key)public object GetMetadata(string key)func GetMetadata(Key *string) interface{}#
Retrieve a value value from the CloudFormation Resource Metadata.
inspect(inspector: TreeInspector): voiddef inspect(self, inspector: TreeInspector) -> Nonepublic void inspect(TreeInspector inspector)public void Inspect(TreeInspector inspector)func Inspect(Inspector TreeInspector)#
Examines the CloudFormation resource and discloses attributes.
1 parameter

Parameters

  • inspectorinspectorinspectorinspectorInspector — tree inspector to collect and process attributes.
isCfnElement(x: any): boolean@staticmethod def is_cfn_element(x: Any) -> boolpublic static Boolean isCfnElement(Object x)public static bool IsCfnElement(object x)func IsCfnElement(X interface{}) *boolstatic#
Returns `true` if a construct is a stack element (i.e. part of the synthesized cloudformation template).

Uses duck-typing instead of instanceof to allow stack elements from different versions of this library to be included in the same stack.

returns

Returns: The construct as a stack element or undefined if it is not a stack element.

isCfnRepositoryCreationTemplate(x: any): boolean@staticmethod def is_cfn_repository_creation_template(x: Any) -> boolpublic static Boolean isCfnRepositoryCreationTemplate(Object x)public static bool IsCfnRepositoryCreationTemplate(object x)func IsCfnRepositoryCreationTemplate(X interface{}) *boolstatic#
Checks whether the given object is a CfnRepositoryCreationTemplate.
isCfnResource(x: any): boolean@staticmethod def is_cfn_resource(x: Any) -> boolpublic static Boolean isCfnResource(Object x)public static bool IsCfnResource(object x)func IsCfnResource(X interface{}) *boolstatic#
Check whether the given object is a CfnResource.
isConstruct(x: any): boolean@staticmethod def is_construct(x: Any) -> boolpublic static Boolean isConstruct(Object x)public static bool IsConstruct(object x)func IsConstruct(X interface{}) *boolstatic#
Checks if `x` is a construct.
notes · 1 parameter · returns

Use this method instead of instanceof to properly detect Construct instances, even when the construct library is symlinked.

Explanation: in JavaScript, multiple copies of the constructs library on disk are seen as independent, completely different libraries. As a consequence, the class Construct in each copy of the constructs library is seen as a different class, and an instance of one class will not test as instanceof the other class. npm install will not create installations like this, but users may manually symlink construct libraries together or use a monorepo tool: in those cases, multiple copies of the constructs library can be accidentally installed, and instanceof will behave unpredictably. It is safest to avoid using instanceof, and using this type-testing method instead.

Parameters

  • xxxxX — Any object.

Returns: true if x is an object created from a class which extends Construct.

obtainDependencies(): Stack | CfnResource[]def obtain_dependencies(self, ) -> typing.List[typing.Union[Stack, CfnResource]]public List<Stack> obtainDependencies()public Stack[] ObtainDependencies()func ObtainDependencies() *[]interface{}#
Retrieves an array of resources and stacks this resource depends on.

For resources depended on directly, returns the CfnResource object. For dependencies on other stacks, returns the Stack object. The order of the array is not guaranteed.

overrideLogicalId(newLogicalId: string): voiddef override_logical_id(self, new_logical_id: str) -> Nonepublic void overrideLogicalId(String newLogicalId)public void OverrideLogicalId(string newLogicalId)func OverrideLogicalId(NewLogicalId *string)#
Overrides the auto-generated logical ID with a specific ID.
1 parameter

Parameters

  • newLogicalIdnew_logical_idnewLogicalIdnewLogicalIdNewLogicalId — The new logical ID to use for this stack element.
removeDependency(target: CfnResource): voiddef remove_dependency(self, target: CfnResource) -> Nonepublic void removeDependency(CfnResource target)public void RemoveDependency(CfnResource target)func RemoveDependency(Target CfnResource)deprecated#
Use `removeResourceDependency` instead

This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.

removeResourceDependency(target: CfnResource): voiddef remove_resource_dependency(self, target: CfnResource) -> Nonepublic void removeResourceDependency(CfnResource target)public void RemoveResourceDependency(CfnResource target)func RemoveResourceDependency(Target CfnResource)#
Indicates that this resource no longer depends on another resource.

This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.

replaceDependency(target: CfnResource, newTarget: CfnResource): voiddef replace_dependency(self, target: CfnResource, new_target: CfnResource) -> Nonepublic void replaceDependency(CfnResource target, CfnResource newTarget)public void ReplaceDependency(CfnResource target, CfnResource newTarget)func ReplaceDependency(Target CfnResource, NewTarget CfnResource)#
Replaces one dependency with another.
2 parameters

Parameters

  • targettargettargettargetTarget — The dependency to replace.
  • newTargetnew_targetnewTargetnewTargetNewTarget — The new dependency to add.
toString(): stringdef to_string(self, ) -> strpublic String toString()public string ToString()func ToString() *string#
Returns a string representation of this construct.
returns

Returns: a string representation of this resource

with(...mixins: IMixin[]): IConstructdef with(self, mixins: IMixin) -> IConstructpublic IConstruct with(IMixin mixins)public IConstruct With(IMixin mixins)func With(Mixins IMixin) IConstruct#
Applies one or more mixins to this construct.

Mixins are applied in order. The list of constructs is captured at the start of the call, so constructs added by a mixin will not be visited. Use multiple with() calls if subsequent mixins should apply to added constructs.